Package org.springframework.scheduling.config

# Record Class TaskExecutionOutcome

java.lang.Object
java.lang.Record
org.springframework.scheduling.config.TaskExecutionOutcome

Record Components:
  `executionTime` - the instant when the task execution started, or `null` if the task has not started
  `status` - the `TaskExecutionOutcome.Status` of the execution outcome
  `throwable` - the exception thrown from the task execution, if any

public record TaskExecutionOutcome(Instant executionTime, TaskExecutionOutcome.Status status, Throwable throwable) extends Record
Outcome of a `Task` execution.

Since:
  6.2
Author:
  Brian Clozel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TaskExecutionOutcome.Status`
Status of the task execution outcome.

## Constructor Summary

Constructors
Constructor
Description
`TaskExecutionOutcome(Instant executionTime, TaskExecutionOutcome.Status status, Throwable throwable)`
Creates an instance of a `TaskExecutionOutcome` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`Instant`
`executionTime()`
Returns the value of the `executionTime` record component.
`final int`
`hashCode()`
Returns a hash code value for this object.
`TaskExecutionOutcome.Status`
`status()`
Returns the value of the `status` record component.
`Throwable`
`throwable()`
Returns the value of the `throwable` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TaskExecutionOutcome

public TaskExecutionOutcome(@Nullable Instant executionTime, TaskExecutionOutcome.Status status, @Nullable Throwable throwable)
Creates an instance of a `TaskExecutionOutcome` record class.

Parameters:
  `executionTime` - the value for the `executionTime` record component
  `status` - the value for the `status` record component
  `throwable` - the value for the `throwable` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### executionTime

@Nullable public Instant executionTime()
Returns the value of the `executionTime` record component.

Returns:
  the value of the `executionTime` record component

### status

public TaskExecutionOutcome.Status status()
Returns the value of the `status` record component.

Returns:
  the value of the `status` record component

### throwable

@Nullable public Throwable throwable()
Returns the value of the `throwable` record component.

Returns:
  the value of the `throwable` record component